Subject: Chem in Ed

From: "Holly G. Hash" <[email-masked]>
Date: Tue, 1 Mar 94 20:52:00 EST

Hello -

I'm new at this, and am only a lowly chemist-turned-chemistry
teacher for unruly teenagers.  If anyone has any interesting
little chemistry experiments hiding up their sleeves from their
ancient non-professional days, would you please share them with
me?  I've just about emptied my bag of tricks on kids who are
jaded by the ordinary.  I sincerely want to keep these teens
interested in chemistry.

Thanks, in advance.

hh
-- 
Holly G. Hash, Inst.
Brunswick Senior High School
Route 1, Box 15
Lawrenceville, VA 23868